import { ReactElement } from 'react';
export declare type ToggleProps = {
    label: ReactElement<any, any> | string;
    name?: boolean;
    onClick: (value: boolean) => void | boolean;
    toggleId: ToggleId;
};
export declare enum ToggleId {
    BASIC1 = "basic1",
    BASIC5 = "basic5"
}
/**
 *
 * @param label, name, onClick
 * @constructor
 */
export declare const Toggle: ({ label, name, onClick, toggleId }: ToggleProps) => JSX.Element;
