import { ReactElement } from 'react';
export declare type RadioButtonProps = {
    label: ReactElement<any, any> | string;
    selected?: boolean;
    callBack?: (value: boolean) => void | boolean;
    style?: React.CSSProperties;
    textStyle?: React.CSSProperties;
};
/**
 *
 * @param label, selected, callBack, style, textStyle
 * @constructor
 */
export declare const RadioButton: ({ label, selected, callBack, style, textStyle }: RadioButtonProps) => JSX.Element;
