/// <reference types="react" />
import { ColorStyles } from '../../../types';
export declare type ListOfOption = {
    option: string;
    selected: boolean;
};
export declare const findInArray: (array: ListOfOption[], item: ListOfOption) => ListOfOption;
export declare type DropdownMultipleChoiceProps = {
    emptyListMessage?: string;
    label?: string;
    onChange: (value?: any) => any;
    options: string[];
    placeholder?: string;
    value?: string;
    justInArray?: any;
    resetValue?: string;
    limit?: number;
    colorStyle?: ColorStyles;
};
/**
 * A custom select component that allow multiple selection and display chips for the selected items. * @param label * @param emptyListMessage
 * @param label
 * @param options
 * @param placeholder
 * @param onChange
 * @param value
 * @param justInArray
 * @param resetValue
 * @param limit
 * @constructor
 */
export declare const DropdownMultipleChoice: ({ emptyListMessage, label, options, placeholder, onChange, value, justInArray, resetValue, limit, colorStyle }: DropdownMultipleChoiceProps) => JSX.Element;
