/// <reference types="react" />
export declare type InputFieldProps = {
    disabled: boolean;
    error?: boolean;
    id?: string;
    inputFieldId: InputFieldId;
    label?: string;
    maxLength?: number;
    message?: string;
    onBlur?: (value: any) => any;
    onChange?: (value: any) => any;
    onClick?: (value: any) => any;
    onEnter?: (value?: any) => any;
    placeholder?: string;
    required?: boolean;
    type?: string;
    value?: string | number;
};
export declare enum InputFieldId {
    BASIC1 = "basic1",
    BASIC5 = "basic5"
}
/**
 *
 * @param disabled, error, id, inputFieldId, label, maxLength, message, onBlur, onChange, onClick, onEnter, placeholder, type, value, required
 * @constructor
 */
export declare const InputField: ({ error, disabled, id, inputFieldId, label, maxLength, message, onBlur, onChange, onClick, onEnter, placeholder, type, value, required }: InputFieldProps) => JSX.Element;
